鸿 网 互 联 www.68idc.cn

OS + CentOS 7 / centos 7 / VirtualBox / VirtualBox-5.1-5.1.2

来源:互联网 作者:佚名 时间:2018-03-04 13:34
s VirtualBox:解决VirtualBox安装时libSDL-1.2.so.0()错误的问题。 http://www.sklinux.com/983 为Centos6.2安装VirtualBox的时候,遇到了这样的错误: error: Failed dependencies: libSDL-1.2.so.0()(64bit) is needed by VirtualBox-4.2-4.2.4_81684_el6-

s

VirtualBox:解决VirtualBox安装时libSDL-1.2.so.0()错误的问题。

http://www.sklinux.com/983

为Centos6.2安装VirtualBox的时候,遇到了这样的错误:
error: Failed dependencies:
libSDL-1.2.so.0()(64bit) is needed by VirtualBox-4.2-4.2.4_81684_el6-1.x86_64
原来安装VirtualBox需要SDL这个包,可以用yum安装,
yum install compat-libstdc++-33 SDL
其实,除了上面的以外还需要gcc, kernel-devel,make, libGL, qt, qt-devel, libXmu,例如,
yum install gcc kernel-devel make libGL qt qt-devel libXmu
好了,现在就可以安装VirtuaBox的rpm包了,

 

 

[root@SCTS-PC-DEV Downloads]# rpm -ivh VirtualBox-5.1-5.1.28_117968_el7-1.x86_64.rpm
warning: VirtualBox-5.1-5.1.28_117968_el7-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID 98ab5139: NOKEY
Preparing... ################################# [100%]
Updating / installing...
1:VirtualBox-5.1-5.1.28_117968_el7-################################# [100%]

Creating group 'vboxusers'. VM users must be member of that group!

 

 

end

网友评论
<